//============================================================================
// FILE: CoreVariableDescriptor.h
//
// TYPE: C++CLASS
// DESCRIPTION: entête des divers descripteurs variables de Diese
// 
// AUTHORS: Rellier (INRA/UBIA, Toulouse)
//=X===============X=============================X============================

#ifndef _COREVARDESCRIPTOR_HH
#define _COREVARDESCRIPTOR_HH

// SYSTEM INCLUDES
//

// PROJECT INCLUDES
//
#include "VariableDescriptor.h"

//=X===============X=============================X============================
// Général
//............................................................................

class AnonymousIntAttribute : public IntVariableDescriptor
{
public:
  AnonymousIntAttribute();
};

class AnonymousFloatAttribute : public FloatVariableDescriptor
{
public:
  AnonymousFloatAttribute();
};

class AnonymousDoubleAttribute : public DoubleVariableDescriptor
{
public:
  AnonymousDoubleAttribute();
};

class AnonymousStringAttribute : public StringVariableDescriptor
{
public:
  AnonymousStringAttribute();
};

class AnonymousEntityAttribute : public EntityVariableDescriptor
{
public:
  AnonymousEntityAttribute();
};

//=X===============X=============================X============================
// Général
//............................................................................

class CurrentElementIndex : public IntVariableDescriptor
{
public:
  CurrentElementIndex();
};

//=X===============X=============================X============================
// DescValueSpec
//............................................................................

//=X===============X=============================X============================


//@}  // fin descripteurs prédéfinis

//@}  // ouverture dans Descriptor.h

#endif  // _COREVARDESCRIPTOR_HH
